summaryrefslogtreecommitdiffstats
path: root/PCBSD
diff options
context:
space:
mode:
authorScott Ullrich <sullrich@pfsense.org>2010-05-23 02:26:18 -0400
committerScott Ullrich <sullrich@pfsense.org>2010-05-23 02:26:18 -0400
commitabfcf13a3eefec83fa862c467352c1ff5f1eae70 (patch)
tree72f9592cb5ff76e4014f3c565cc7b1ee015da30c /PCBSD
parente4cce28bf6ee68369df0986f1b9f17630cc7c853 (diff)
downloadpfsense-abfcf13a3eefec83fa862c467352c1ff5f1eae70.zip
pfsense-abfcf13a3eefec83fa862c467352c1ff5f1eae70.tar.gz
Move to INSTALLMEDIUM
Diffstat (limited to 'PCBSD')
-rw-r--r--PCBSD/pc-sysinstall/backend/functions-extractimage.sh34
1 files changed, 15 insertions, 19 deletions
diff --git a/PCBSD/pc-sysinstall/backend/functions-extractimage.sh b/PCBSD/pc-sysinstall/backend/functions-extractimage.sh
index 82a0f01..8f630e6 100644
--- a/PCBSD/pc-sysinstall/backend/functions-extractimage.sh
+++ b/PCBSD/pc-sysinstall/backend/functions-extractimage.sh
@@ -235,25 +235,6 @@ start_rsync_copy()
# Entrance function, which starts the installation process
init_extraction()
{
- # Test for LiveCD Type
- if [ "$INSTALLTYPE" = "LiveCD" ]
- then
- get_value_from_cfg cpdupPaths
- if [ ! -z "${VAL}" ]
- then
- INSFILE="${VAL}" ; export INSFILE
- fi
- for FILE in $INSFILE; do
- echo_log "pc-sysinstall: Running cpdup -vvv -I -o /${FILE} /mnt/${FILE}"
- /usr/local/bin/cpdup -vvv -I -o /${FILE} /mnt/ >&1 2>&1
- if [ "$?" != "0" ]
- then
- echo "CPDUP failure occured:" >>${LOGOUT}
- exit_err "ERROR: Error occurred during cpdup"
- fi
- done
- return
- fi
# Figure out what file we are using to install from via the config
get_value_from_cfg installFile
@@ -287,6 +268,21 @@ init_extraction()
# Lets start by figuring out what medium we are using
case ${INSTALLMEDIUM} in
LiveCD)
+ get_value_from_cfg cpdupPaths
+ if [ ! -z "${VAL}" ]
+ then
+ INSFILE="${VAL}" ; export INSFILE
+ fi
+ for FILE in $INSFILE; do
+ echo_log "pc-sysinstall: Running cpdup -vvv -I -o /${FILE} /mnt/${FILE}"
+ /usr/local/bin/cpdup -vvv -I -o /${FILE} /mnt/ >&1 2>&1
+ if [ "$?" != "0" ]
+ then
+ echo "CPDUP failure occured:" >>${LOGOUT}
+ exit_err "ERROR: Error occurred during cpdup"
+ fi
+ done
+ return
;;
dvd|usb) # Lets start by mounting the disk
opt_mount
OpenPOWER on IntegriCloud